﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ClientWpf.NorthwindServiceReference;

namespace ClientWpf
{
    /// <summary>
    /// Interaction logic for PageNorthwindService.xaml
    /// </summary>
    public partial class PageNorthwindService : Page
    {
        public PageNorthwindService()
        {
            InitializeComponent();
        }

        private void loadCustomers()
        {
            NorthwindServiceClient client = new NorthwindServiceClient();

            Customer[] customers = client.GetCustomers();
            dataGrid1.ItemsSource = customers;
        }

        private void buttonGetCustomers_Click(object sender, RoutedEventArgs e)
        {
            loadCustomers();
        }

        private void buttonAddSampleUser_Click(object sender, RoutedEventArgs e)
        {
            NorthwindServiceClient client = new NorthwindServiceClient();

            Customer newCustomer = new Customer()
            {
                CustomerID = "IRPSA",
                ContactName = "Iraklis Psaroudakis",
                ContactTitle = "Mr.",
                Address = "200, Address St.",
                City = "Athens",
                PostalCode = "12345",
                Region = "Attiki",
                Country = "Greece",
                Phone = "1234567",
                Fax = "12334656",
                CompanyName = "www.StudentGuru.gr"
            };


            bool result = client.AddCustomer(newCustomer);
            if (result)
            {
                MessageBox.Show("Success!");
                loadCustomers();
            }
            else
            {
                MessageBox.Show("Error while adding new customer");
            }
        }
    }
}
